Issue 48487 - Allow Outline Numbering to change based on the Page Style
Allow Outline Numbering to change based on the Page Style
Status: CONFIRMED
Product: Writer
Classification: Application
Component: formatting
680m97
All All
: P3 trivial (vote)
: ---
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-30 01:44 UTC by aaronforjesus
Modified: 2013-02-07 22:37 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Example of an Outline Numbering dialog box change to accomodate Page Styles (38.90 KB, image/png)
2005-04-30 01:46 UTC, aaronforjesus
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description aaronforjesus 2005-04-30 01:44:35 UTC
This is a feature request for OOo Later. This request is for Outline Numbering
to change based on the Page Style. This is important for large documents in that
this allows numbering to be different when in the body of a large document or an
Appendix without having to resort to creating custom styles. For example, the
body would have:
1 Heading 1
1.1 Heading 2
1.1.1 Heading 3
While an Appendix would have:
10.1 Heading 1
10.1.1 Heading 2
10.1.1.1 Heading
or:
A.1 Heading 1
A.1.1 Heading 2
A.1.1.1 Heading 3
This feature would facilitate the creation of large documents for the US
Government and large corporations that use such numbering, and have specialized
programs such as Broadvision Quicksilver or Framemaker to create these
documents. This is a companion request of Issue 14725.
Comment 1 aaronforjesus 2005-04-30 01:46:16 UTC
Created attachment 25662 [details]
Example of an Outline Numbering dialog box change to accomodate Page Styles
Comment 2 aaronforjesus 2005-04-30 01:54:14 UTC
Of course, when you insert an Index/Table, and click on the Outline button under
the Index/Table tab, you will be able from the dialog box to select which page
style you want included. A Page Style of "All" may have to be added in the
Outline Numbering dialog box Page Style dropdown list if you want to include all
Heading styles from the whole document, and not just one Page Style such as
Default or Appendix.
Comment 3 michael.ruess 2005-05-02 08:56:29 UTC
Rewassigned to requirements
Comment 4 ace_dent 2008-05-16 00:54:39 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 5 aaronforjesus 2008-05-16 16:45:07 UTC
Just checked in OOo 2.4. No the request hath not been granted yet. It is still
impossible to do the below Heading example without resorting to major hacks and
manual work.